@echo off

REM ##### 初期設定 #####
set BIN_DIR=bin
set CONF_DIR=conf

REM ##### 引数取得 #####
set SRC_DIR=%1
set INSTALL_DIR=%2

REM ##### 初期設定 #####
set APACHE_HOME=%INSTALL_DIR%
if NOT "%APACHE_HOME:~-1%" == "\" (
	set APACHE_HOME=%APACHE_HOME%\
)
if NOT "%SRC_DIR:~-1%" == "\" (
	set SRC_DIR=%SRC_DIR%\
)

REM ##### インストール #####
mkdir %APACHE_HOME%%CONF_DIR%

copy /b /y %SRC_DIR%%CONF_DIR%\httpd.conf %APACHE_HOME%%CONF_DIR%
copy /b /y %SRC_DIR%%CONF_DIR%\workers.properties %APACHE_HOME%%CONF_DIR%
